{ pkgs-stable, pkgs, ... }:

{
  home.packages = with pkgs; [
    guix
    guile
    python3
    ruff
    (sbcl.withPackages (ps: with ps; [
      cffi
      arrow-macros
      alexandria
      serapeum
    ]))
    ccl
    ecl
    racket
    ruby
    ruby-lsp
    gdu
    cljfmt
    libxml2
    nixfmt-rfc-style
    shfmt
    html-tidy
    openal
    procs

    jre

    tree-sitter
    (tree-sitter.withPlugins (_: tree-sitter.allGrammars))

    yaml-language-server
    typescript-language-server
    svelte-language-server
    bash-language-server
    nginx-language-server
    lua-language-server
    lemminx
    stylelint-lsp
    htmx-lsp
    autotools-language-server
    arduino-language-server
    ccls
    vscode-langservers-extracted
    java-language-server
    pkgs-stable.javascript-typescript-langserver
    haskell-language-server
    cmake-language-server
    stylelint-lsp
    marksman
    ruff-lsp
    haskell-language-server
    emacs-lsp-booster

    black
    jsbeautifier
    typescript
    prettierd
    stylelint

    nixd
    nixdoc
    nix-init
    alejandra

  ];

  home.file.".sbclrc".source = ../../homes/emenel/dotfiles/dot_sbclrc;

}
